Bug 860352 - Review Request: farstream02 - Libraries for videoconferencing
Review Request: farstream02 - Libraries for videoconferencing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 13:02 EDT by Brian Pepple
Modified: 2012-12-20 10:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Licensecheck output (20.39 KB, text/plain)
2012-10-02 13:36 EDT, Jonathan Dieter
no flags Details

  None (edit)
Description Brian Pepple 2012-09-25 13:02:17 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/farstream02.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/farstream02-0.1.91-1.fc17.src.rpm
Description: Farstream02 is a collection of GStreamer-1.0 modules and libraries for videoconferencing.
Fedora Account System Username: bpepple

Scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4525419
Comment 2 Jonathan Dieter 2012-10-02 10:48:07 EDT
I'll go ahead and take this.
Comment 3 Jonathan Dieter 2012-10-02 13:31:33 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment).
     I'm not sure what to do with this.  Are these supposed to be unversioned?

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     The following files have a GPLv2 license and not LGPLv2:
     farstream-0.2.0/common/coverage/coverage-report*
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (farstream-0.2.0.tar.gz)
     Ignore this as we're installing farstream02 in parallel with farstream
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: farstream02-debuginfo-0.2.0-1.fc19.x86_64.rpm
          farstream02-0.2.0-1.fc19.x86_64.rpm
          farstream02-devel-0.2.0-1.fc19.x86_64.rpm
          farstream02-0.2.0-1.fc19.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint farstream02-devel farstream02-debuginfo farstream02
farstream02.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfarstream-0.2.so.2.0.0 /lib64/libgstbase-1.0.so.0
farstream02.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfarstream-0.2.so.2.0.0 /lib64/libgthread-2.0.so.0
farstream02.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfarstream-0.2.so.2.0.0 /lib64/librt.so.1
farstream02.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfarstream-0.2.so.2.0.0 /lib64/libpthread.so.0
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
farstream02-debuginfo-0.2.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

farstream02-0.2.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    gstreamer1-plugins-bad-free >= 1.0.0
    gstreamer1-plugins-good >= 1.0.0
    libc.so.6()(64bit)
    libfarstream-0.2.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgssdp-1.0.so.3()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstnet-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstrtp-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgupnp-1.0.so.4()(64bit)
    libgupnp-igd-1.0.so.4()(64bit)
    libm.so.6()(64bit)
    libnice.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsoup-2.4.so.1()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)

farstream02-devel-0.2.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    farstream02(x86-64) = 0.2.0-1.fc19
    gstreamer1-devel >= 1.0.0
    gstreamer1-plugins-base-devel >= 1.0.0
    libfarstream-0.2.so.2()(64bit)
    pkgconfig
    pkgconfig(gstreamer-1.0)
    pkgconfig(gstreamer-base-1.0)



Provides
--------
farstream02-debuginfo-0.2.0-1.fc19.x86_64.rpm:
    
    farstream02-debuginfo = 0.2.0-1.fc19
    farstream02-debuginfo(x86-64) = 0.2.0-1.fc19

farstream02-0.2.0-1.fc19.x86_64.rpm:
    
    farstream02 = 0.2.0-1.fc19
    farstream02(x86-64) = 0.2.0-1.fc19
    libfarstream-0.2.so.2()(64bit)
    libfsmsnconference.so()(64bit)
    libfsrawconference.so()(64bit)
    libfsrtcpfilter.so()(64bit)
    libfsrtpconference.so()(64bit)
    libfsvideoanyrate.so()(64bit)
    libmulticast-transmitter.so()(64bit)
    libnice-transmitter.so()(64bit)
    librawudp-transmitter.so()(64bit)
    libshm-transmitter.so()(64bit)

farstream02-devel-0.2.0-1.fc19.x86_64.rpm:
    
    farstream02-devel = 0.2.0-1.fc19
    farstream02-devel(x86-64) = 0.2.0-1.fc19
    pkgconfig(farstream-0.2) = 0.2.0



Unversioned so-files
--------------------
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/farstream-0.2/libmulticast-transmitter.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/farstream-0.2/libnice-transmitter.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/farstream-0.2/librawudp-transmitter.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/farstream-0.2/libshm-transmitter.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/gstreamer-1.0/libfsmsnconference.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/gstreamer-1.0/libfsrawconference.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/gstreamer-1.0/libfsrtcpfilter.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/gstreamer-1.0/libfsrtpconference.so
farstream02-0.2.0-1.fc19.x86_64.rpm: /usr/lib64/gstreamer-1.0/libfsvideoanyrate.so

MD5-sum check
-------------
http://freedesktop.org/software/farstream/releases/farstream/farstream-0.2.0.tar.gz :
  CHECKSUM(SHA512) this package     : 91afe16592c1dfb1ce606e95e880606a2c294fd2e681b29fff22443700b5cbbf0da7eab942ac246aa8f1eeca9facf118ea7510a88b130fc58d32b05b37d5af75
  CHECKSUM(SHA512) upstream package : 91afe16592c1dfb1ce606e95e880606a2c294fd2e681b29fff22443700b5cbbf0da7eab942ac246aa8f1eeca9facf118ea7510a88b130fc58d32b05b37d5af75


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 860352 -k sha512
Comment 4 Jonathan Dieter 2012-10-02 13:36:48 EDT
Created attachment 620411 [details]
Licensecheck output

So basically I see three issues here:
1. There are unversioned .so files in /usr/lib64/gstreamer1.  Is this how gstreamer is supposed to work?  If so, we can ignore this.
2. There's a rm -rf %{buildroot} in %install, which should be removed
3. There are a few files in farstream-0.2.0/common/coverage that are GPLv2 rather than LGPLv2.  Not sure how important they are and whether they should be changed to GPLv2.  There are a few other files that are missing copyrights and/or licenses, but I don't think dealing with them is as important as the GPLv2 files.  I'm attaching licensecheck.txt for reference anyway.
Comment 5 Brian Pepple 2012-10-03 10:49:09 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/farstream02.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/farstream02-0.2.0-2.fc17.src.rpm

* Wed Oct  3 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-2
- Drop unnecessary removal of buildroot in the install section.
- Update License info.

a) Regarding the unversioned .so files, it's not an issue since they are plugins used by the package.

b) I've made a note of the GPLv2+ & LGPLv2+ mixture in the spec file, and also opened a bug(1) upstream to see if we can fix/or resolve the issues.

(1) https://bugs.freedesktop.org/show_bug.cgi?id=55580

Thanks for the quick review it's much appreciated.
Comment 6 Jonathan Dieter 2012-10-03 11:19:35 EDT
OK, that sounds like everything.  This package is approved.
Comment 7 Brian Pepple 2012-10-03 11:25:52 EDT
New Package SCM Request
=======================
Package Name: farstream02
Short Description: Libraries for videoconferencing
Owners: bpepple
Branches: f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-03 11:53:44 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-10-08 11:37:18 EDT
empathy-3.6.0.3-1.fc18,folks-0.8.0-1.fc18,libnice-0.1.3-1.fc18,telepathy-farstream-0.6.0-1.fc18,farstream02-0.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/empathy-3.6.0.3-1.fc18,folks-0.8.0-1.fc18,libnice-0.1.3-1.fc18,telepathy-farstream-0.6.0-1.fc18,farstream02-0.2.1-1.fc18
Comment 10 Fedora Update System 2012-10-08 19:54:39 EDT
Package empathy-3.6.0.3-1.fc18, folks-0.8.0-1.fc18, libnice-0.1.3-1.fc18, telepathy-farstream-0.6.0-1.fc18, farstream02-0.2.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing empathy-3.6.0.3-1.fc18 folks-0.8.0-1.fc18 libnice-0.1.3-1.fc18 telepathy-farstream-0.6.0-1.fc18 farstream02-0.2.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15672/empathy-3.6.0.3-1.fc18,folks-0.8.0-1.fc18,libnice-0.1.3-1.fc18,telepathy-farstream-0.6.0-1.fc18,farstream02-0.2.1-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-20 10:58:03 EST
empathy-3.6.0.3-1.fc18, folks-0.8.0-1.fc18, libnice-0.1.3-1.fc18, telepathy-farstream-0.6.0-1.fc18, farstream02-0.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.